MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023097Community[OCCT] OCCT:Samplespublic2012-04-11 14:422012-04-18 18:53
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0023097: MFC Samples do not compile after redesigning the TKOpenGl driver
DescriptionThe User_Cylinder uses the 'TriangleSet' rendering primitive, which was removed starting OCCT 6.5.3. It is necessary to use the corresponding sub-class of 'Graphic3d_ArrayOfPrimitives' to visualize the triangles.
Steps To ReproduceTry to compile the 'All-vc9.sln' project from the 'samples\mfc\' directory
Additional information
and documentation updates
Quotation from: http://dev.opencascade.org/index.php?q=node/63#comment-92 [^]

Primitive arrays support all options needed by an application in order to display geometry, normals, colors and textures. The main reason to switch to them is that they are hardware-accelerated on graphic systems that support vertex buffer objects (VBO).
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0023095closeddbv Open CASCADE Porting demo and samples on OCCT 6.5.3 

-  Notes
(0020332)
Pawel (developer)
2012-04-11 15:50

Corresponding branch pushed for review.
(0020333)
Pawel (developer)
2012-04-11 15:52

Corresponding branch pushed for review.

- Related Changesets
occt: master 1a4b0f54
Timestamp: 2012-04-11 10:53:28
Author: Pawel
Committer: bugmaster
Details ] Diff ]
0023097: MFC Samples do not compile after redesigning the TKOpenGl driver
Replaced the obsolete 'TriangleSet' rendering primitive with 'Graphic3d_ArrayOfTriangles'
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-04-11 14:42 Pawel New Issue
2012-04-11 14:42 Pawel Assigned To => Pawel
2012-04-11 15:50 Pawel Note Added: 0020332
2012-04-11 15:51 Pawel Assigned To Pawel => bugmaster
2012-04-11 15:52 Pawel Note Added: 0020333
2012-04-11 15:52 Pawel Status new => resolved
2012-04-11 16:03 abv Assigned To bugmaster => dbv
2012-04-11 16:03 abv Status resolved => reviewed
2012-04-11 16:03 abv Relationship added child of 0023095
2012-04-18 18:53 bugmaster Changeset attached => occt master 1a4b0f54
2012-04-18 18:53 bugmaster Assigned To dbv => bugmaster
2012-04-18 18:53 bugmaster Status reviewed => verified
2012-04-18 18:53 bugmaster Resolution open => fixed
2014-01-11 11:59 abv Category OCCT Release:MFC => OCCT Release:Samples
2014-01-11 12:02 abv Category OCCT Release:Samples => OCCT:Samples


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker